## javax.servlet
Interface ServletContextAttributeListener

All Superinterfaces:
  EventListener

All Known Implementing Classes:
  BayeuxStartupListener, TagListener, TestListener

    public interface ServletContextAttributeListener

extends EventListener

Implementations of this interface receive notifications of changes to the attribute list on the servlet context of a web application. To receive notification events, the implementation class must be configured in the deployment descriptor for the web application.

Since:
  v 2.3
See Also:
  `ServletContextAttributeEvent`

Method Summary
`void` `attributeAdded(ServletContextAttributeEvent scab)` Notification that a new attribute was added to the servlet context.
`void` `attributeRemoved(ServletContextAttributeEvent scab)` Notification that an existing attribute has been removed from the servlet context.
`void` `attributeReplaced(ServletContextAttributeEvent scab)` Notification that an attribute on the servlet context has been replaced.

Method Detail

### attributeAdded

    void attributeAdded(ServletContextAttributeEvent scab)

  Notification that a new attribute was added to the servlet context. Called after the attribute is added.

### attributeRemoved

    void attributeRemoved(ServletContextAttributeEvent scab)

  Notification that an existing attribute has been removed from the servlet context. Called after the attribute is removed.

### attributeReplaced

    void attributeReplaced(ServletContextAttributeEvent scab)

  Notification that an attribute on the servlet context has been replaced. Called after the attribute is replaced.

Copyright © 2008 Mort Bay Consulting. All Rights Reserved.